# synfig::ValueNode_VectorAngle Class Reference

`#include <valuenode_vectorangle.h>`

Inheritance diagram for synfig::ValueNode_VectorAngle:

List of all members.

## Public Types

typedef etl::handle < ValueNode_VectorAngle > | Handle
typedef etl::handle< const ValueNode_VectorAngle > | ConstHandle

## Public Member Functions

virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual | ~ValueNode_VectorAngle ()
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_name (int i) const
virtual String | link_local_name (int i) const
virtual int | get_link_index_from_name (const String &name) const

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_VectorAngle * | create (const ValueBase &x)

## Protected Member Functions

LinkableValueNode * | create_new () const
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)

## Member Typedef Documentation

typedef etl::handle<ValueNode_VectorAngle> synfig::ValueNode_VectorAngle::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_VectorAngle> synfig::ValueNode_VectorAngle::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

ValueNode_VectorAngle::~ValueNode_VectorAngle | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

ValueBase ValueNode_VectorAngle::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

String ValueNode_VectorAngle::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_VectorAngle::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

ValueNode::LooseHandle ValueNode_VectorAngle::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_VectorAngle::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_VectorAngle::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

String ValueNode_VectorAngle::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

int ValueNode_VectorAngle::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

LinkableValueNode * ValueNode_VectorAngle::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type().

bool ValueNode_VectorAngle::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, link_count(), and synfig::ValueBase::TYPE_VECTOR.

bool ValueNode_VectorAngle::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_ANGLE.

ValueNode_VectorAngle * ValueNode_VectorAngle::create | ( | const ValueBase & | x | ) | `[static]`

The documentation for this class was generated from the following files:

- valuenode_vectorangle.h
- valuenode_vectorangle.cpp